using System;
using System.Collections.Generic;
using System.Text;

namespace Proyecto0
{
    /// <sumary>
    ///  Clase que representa un movimiento de un jugador
    /// </sumary>
    internal class Movimiento
    {
        // Casilla de salida
        private int from;

        // Casilla objetivo
        private int to;


        /// <sumary>
        ///  Constructor que inicializa la clase
        /// </sumary>
        /// <param name="x">
        ///  Casilla de salida
        /// </param>
        /// <param name="y">
        ///  Casilla objetivo
        /// </param>
        public Movimiento(int x, int y)
        {
            from = x;
            to = y;
        }

        /// <sumary>
        ///  Devuelve el atributo from
        /// </sumary>
        /// <value>
        ///  Casilla de salida
        /// </value>
        public int getFrom()
        {
            return from;
        }

        /// <sumary>
        ///  Devuelve el atributo to
        /// </sumary>
        /// <value>
        ///  Casilla objetivo
        /// </value>
        public int getTo()
        {
            return to;
        }


        /// <sumary>
        ///  Devuelve una cadena representacin de la clase
        /// </sumary>
        public override string ToString()
        {
            return "(" + from + "," + to + ")";
        }
    }
}
